Support » Plugin: WP-reCAPTCHA » [Plugin: WP-reCAPTCHA] "For security reasons, you must pass the remote ip to reCAPTCHA"

  • Resolved gingerngo

    (@gingerngo)


    Hi,

    I recently updated my website to WP 3.4.1, and it seems the upgrade has affected the wp-recaptcha plugin. (It was working previously, before the upgrade.)

    I’m trying to register a test user on my site currently, but when I fill in the details and the captcha form, I get a message that says:

    “For security reasons, you must pass the remote ip to reCAPTCHA”

    Does anyone know how I can fix this, or what it means?

    Thanks.

    http://wordpress.org/extend/plugins/wp-recaptcha/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Hi,

    same problem for me, yesterday i updated my website wordpress 3.2.1 to 3.4.1. today i enable recaptcha for registration form. i create one user for testing it show above error (For security reasons, you must pass the remote ip to reCAPTCHA). How i solve this error in wp 3.4.1. tell your suggestion

    Thanks

    Same problem here also ?
    “For security reasons, you must pass the remote ip to reCAPTCHA”

    Hello,

    in recaptcha.php line 328 :

    recaptcha_check_answer($this->options['private_key'], $_SERVER['REMOTEADDR']

    The right name is : REMOTE_ADDR

    Does not work on my site even after Bemjwp correction.

    I am getting error message: “Input error: Invalid referer
    instead workingrecaptcha

    Ah, thanks, Benjiwp! That totally worked!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: WP-reCAPTCHA] "For security reasons, you must pass the remote ip to reCAPTCHA"’ is closed to new replies.